.user-list {
  width: 100%;
  padding: 20px;
  font-family: 'Arial', sans-serif;
  flex-grow: 1;
}

.user-list section {
  background-color: #ffffff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-bottom: 20px;
}

.user-list h2 {
  text-align: center;
  font-size: 28px;
  margin-bottom: 20px;
  color: #333;
}

.user-list .search-bar {
  width: 25%;
  padding: 10px;
  margin-bottom: 20px;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 16px;
}

.user-list table {
  width: 100%;
  border-collapse: collapse;
  margin: 0 auto;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  border-radius: 8px;
}

.user-list th,
.user-list td {
  padding: 12px 15px;
  border-bottom: 1px solid #e0e0e0;
  text-align: left;
}

.user-list th {
  background-color: #add8e6; /* Light blue background for table header */
  color: #fff;
  font-weight: bold;
}

.user-list tbody tr:nth-child(even) {
  background-color: #f7f7f7;
}

.user-list tbody tr:hover {
  background-color: #e3f2fd;
}

.user-list .edit-btn {
  display: inline-block;
  padding: 8px 16px;
  background-color: #3f51b5;
  color: white;
  border: none;
  border-radius: 4px;
  text-decoration: none;
  font-size: 14px;
  transition: background-color 0.3s ease;
}

.user-list .edit-btn:hover {
  background-color: #303f9f;
}

.edit-user-container {
  max-width: 500px;
  width: 100%;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-top: 40px; /* Add margin to top */
}

.edit-user-container h2 {
  font-size: 24px;
  margin-bottom: 20px;
  text-align: center;
  color: #333;
}

.edit-user-container input {
  width: 100%;
  padding: 10px;
  margin: 10px 0;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.edit-user-container button {
  padding: 10px 20px;
  margin: 5px;
  border: none;
  border-radius: 4px;
  background-color: #3f51b5;
  color: white;
  font-size: 16px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.edit-user-container button:hover {
  background-color: #303f9f;
}

.edit-user-background {
  justify-content: center;
  align-items: center;
  flex-direction: row;
  display: flex;
}

.edit-user-container .delete-btn {
  background-color: #f44336;
}

.edit-user-container .delete-btn:hover {
  background-color: #d32f2f;
}

@media (max-width: 768px) {
  .edit-user-container {
    padding: 10px;
  }

  .edit-user-container input {
    padding: 8px;
    margin: 8px 0;
  }

  .edit-user-container button {
    padding: 8px 16px;
    font-size: 14px;
  }

  .edit-user-container h2 {
    font-size: 20px;
    margin-bottom: 15px;
  }

  .user-list .search-bar {
    width: 100%;
    font-size: 14px;
  }

  .user-list table, .user-list thead, .user-list tbody, .user-list th, .user-list td, .user-list tr {
    display: block;
  }

  .user-list thead tr {
    position: absolute;
    top: -9999px;
    left: -9999px;
  }

  .user-list tr {
    margin: 0 0 1rem 0;
  }

  .user-list tr:nth-child(even) {
    background: none;
  }

  .user-list td {
    border: none;
    border-bottom: 1px solid #e0e0e0;
    position: relative;
    padding-left: 50%;
    white-space: normal;
    text-align: left;
  }

  .user-list td:before {
    position: absolute;
    top: 12px;
    left: 6px;
    width: 45%;
    padding-right: 10px;
    white-space: nowrap;
    content: attr(data-label);
    font-weight: bold;
  }

  .user-list td:last-child {
    border-bottom: 0;
  }
}

.content {
  flex: 1;
  min-height: 100vh;
}

.success-message {
  color: green;
  margin-bottom: 1rem;
  font-weight: bold;
}
